<?php 
	$magenta_plus_custom_css ='';

	/*--------------------------- Footer background image -------------------*/

    $magenta_plus_footer_bg_image = get_theme_mod('magenta_plus_footer_bg_image');
    if($magenta_plus_footer_bg_image != false){
        $magenta_plus_custom_css .='.footer-top{';
            $magenta_plus_custom_css .='background: url('.esc_attr($magenta_plus_footer_bg_image).');';
        $magenta_plus_custom_css .='}';
    }

	/*--------------------------- Go to top positions -------------------*/

    $magenta_plus_go_to_top_position = get_theme_mod( 'magenta_plus_go_to_top_position','Right');
    if($magenta_plus_go_to_top_position == 'Right'){
        $magenta_plus_custom_css .='.footer-go-to-top{';
            $magenta_plus_custom_css .='right: 20px;';
        $magenta_plus_custom_css .='}';
    }else if($magenta_plus_go_to_top_position == 'Left'){
        $magenta_plus_custom_css .='.footer-go-to-top{';
            $magenta_plus_custom_css .='left: 20px;';
        $magenta_plus_custom_css .='}';
    }else if($magenta_plus_go_to_top_position == 'Center'){
        $magenta_plus_custom_css .='.footer-go-to-top{';
            $magenta_plus_custom_css .='right: 50%;left: 50%;';
        $magenta_plus_custom_css .='}';
    }

    /*--------------------------- Woocommerce Product Sale Positions -------------------*/

    $magenta_plus_product_sale = get_theme_mod( 'magenta_plus_woocommerce_product_sale','Right');
    if($magenta_plus_product_sale == 'Right'){
        $magenta_plus_custom_css .='.woocommerce ul.products li.product .onsale{';
            $magenta_plus_custom_css .='left: auto;';
        $magenta_plus_custom_css .='}';
    }else if($magenta_plus_product_sale == 'Left'){
        $magenta_plus_custom_css .='.woocommerce ul.products li.product .onsale{';
            $magenta_plus_custom_css .='right: auto;';
        $magenta_plus_custom_css .='}';
    }else if($magenta_plus_product_sale == 'Center'){
        $magenta_plus_custom_css .='.woocommerce ul.products li.product .onsale{';
            $magenta_plus_custom_css .='right: 50%; left: 50%; ';
        $magenta_plus_custom_css .='}';
    }